
Summary:	ReportLab library to create PDF documents using Python
Name:		python-reportlab
Version:	2.7
Release:	%mkrel 1
URL:		http://www.reportlab.org/
Source0:	https://pypi.python.org/packages/source/r/reportlab/reportlab-%{version}.tar.xz
Patch0:		reportlab-%{version}-font-locations.patch
Patch1:		reportlab-%{version}-link-m.patch
License:	BSD
Group:		Publishing
BuildRoot:	%{_tmppath}/%{name}-buildroot
BuildRequires:	python-devel
BuildRequires:	freetype-devel
Requires:	fonts-ttf-dejavu


%description
ReportLab is a library that lets you directly create documents in
Adobe's Portable Document Format (PDF) using the Python programming
language.

ReportLab library creates PDF based on graphics commands without
intervening steps. It's therefore extremely fast, and flexible (since
you're using a full-blown programming language).

Sample use cases are:

  * Dynamic PDF generation on the web
  * High-volume corporate reporting and database publishing
  * As embeddable print engine for other applications, including a
    'report language' so that users can customize their own reports.
  * As 'build system' for complex documents with charts, tables and text
    such as management accounts, statistical reports and scientific papers
  * from XML to PDF in one step

%package docs
Summary:	Documentation files for %{name}
Requires:	%{name} = %{version}-%{release}
Group:		Documentation
License:	BSD

%description docs
Contains the documentation for ReportLab.

%prep
%setup -q -n reportlab-%{version}
%patch0 -p0 
%patch1 -p0 
# clean up hashbangs from libraries
find src -name '*.py' | xargs sed -i -e '/^#!\//d'

%build
CFLAGS="$RPM_OPT_FLAGS" %{__python} setup.py build
# a bit of a horrible hack due to a chicken-and-egg problem. The docs
# require reportlab, which isn't yet installed, but is at least built.
PYTHONPATH="`pwd`/`ls -d build/lib*`" %{__python} docs/genAll.py


%install
rm -rf %{buildroot}
PYTHONDONTWRITEBYTECODE= %__python setup.py install -O1 --skip-build --root $RPM_BUILD_ROOT
# Remove bundled fonts
rm -rf %{buildroot}%{python_sitearch}/reportlab/fonts

%files
%doc README.txt CHANGES.txt LICENSE.txt 
%{py_platsitedir}/reportlab
%{py_platsitedir}/reportlab*.egg-info
%{py_platsitedir}/*.so

%files docs
%doc docs/*.pdf demos tools LICENSE.txt


%changelog
* Sat Aug 10 2013 billybot <billybot> 2.7-1pclos2013
- update
